﻿using BankDataModels.Models;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BankContracts.ViewModels
{
    public class PaymentViewModel : IPaymentModel
    {
        [DisplayName("Дата платы")]
        public DateTime PaymentDate { get; set; } = DateTime.Now.Date;
        public Dictionary<int, IDealModel> Deals { get; set; } = new();

        public Dictionary<int, ICurrencyModel> Currencies { get; set; } = new();
        [DisplayName("Номер платы")]
        public int Id { get; set; }
    }
}
